API Reference
Auto-generated
Buyer
API reference for buyer endpoints.
Auto-generated
This page was generated from the OpenAPI spec. Run
make generate-docs to refresh after spec changes.GET /api/v1/buyer/purchases
GET
/api/v1/buyer/purchasesList My Purchases
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| limit | integer | Optional | limitDefault: 50 |
| offset | integer | Optional | offsetDefault: 0 |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/buyer/purchases \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"purchases": [],
"total": 0
}GET /api/v1/buyer/purchases/{sale_id}/runs
GET
/api/v1/buyer/purchases/{sale_id}/runsList Purchase Runs
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| sale_id | string | Required | sale_id |
| limit | integer | Optional | limitDefault: 50 |
| offset | integer | Optional | offsetDefault: 0 |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/buyer/purchases/<sale_id>/runs \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"sale_id": "example",
"template_name": "example",
"forked_workflow_id": "example",
"runs": [],
"total": 0
}GET /api/v1/buyer/subscriptions
GET
/api/v1/buyer/subscriptionsList My Subscriptions
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| include_canceled | boolean | Optional | Include canceled subscriptionsDefault: False |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/buyer/subscriptions \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"subscriptions": [],
"total": 0
}